<script lang="ts">
  import Currency from './lib/Currency.svelte';
  import Dailies from './lib/Dailies.svelte';
  import Tasks from './lib/Tasks.svelte';
  import { AppBar, LightSwitch, Modal, Toast, getModalStore } from '@skeletonlabs/skeleton';
  import { initializeStores } from '@skeletonlabs/skeleton';
    import { resetWealth } from './lib/wealth';
    import { refreshDailies } from './lib/tasks';

  initializeStores();

  const modal = getModalStore();
  function reset() {
    modal.trigger({
      type: 'confirm',
      title: 'Reset Wealth',
      body: 'Are you sure that you want to reset your accumulated wealth?',
      response: (r: boolean) => {
        if (r) {
          resetWealth();
          refreshDailies();
        }
      }
    })
  }
</script>

<AppBar slotTrail="place-content-end">
Task Rotator
  <svelte:fragment slot="trail">
    <button type="button" class="btn btn-sm variant-filled-error" title="Reset Wealth" on:click={reset}>!</button>
    <a class="btn variant-filled btn-sm" href="https://gitlab.com/mringenb/task-rotator" title="Source Code">&lt;/&gt;</a>
    <LightSwitch />
  </svelte:fragment>
</AppBar>
<main class="container mx-auto mt-2">
  <Currency />
  <hr />
  <Dailies />
  <Tasks />
</main>
<Toast />
<Modal />
